nn.pp.rccore

## Enum RCCore.PowerControlOperations

- java.lang.Object
- - java.lang.Enum<RCCore.PowerControlOperations>
  - - nn.pp.rccore.RCCore.PowerControlOperations

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.PowerControlOperations>
  Enclosing interface:
    RCCore

      public static enum RCCore.PowerControlOperations
      extends java.lang.Enum<RCCore.PowerControlOperations>

  Power Control Operations
  See Also:
    `RCCore.performPowerControl(PowerControlOperations)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POWER_CYCLE` Power cycle
    `POWER_OFF` Power Off
    `POWER_ON` Power On

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.PowerControlOperations` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.PowerControlOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POWER_ON

          public static final RCCore.PowerControlOperations POWER_ON

      Power On

    - #### POWER_OFF

          public static final RCCore.PowerControlOperations POWER_OFF

      Power Off

    - #### POWER_CYCLE

          public static final RCCore.PowerControlOperations POWER_CYCLE

      Power cycle

  - ### Method Detail

    - #### values

          public static RCCore.PowerControlOperations[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.PowerControlOperations c : RCCore.PowerControlOperations.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.PowerControlOperations valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.